Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.sftp
Class TrustEveryoneUserInfo

    java.lang.Object
      org.apache.commons.vfs.provider.sftp.TrustEveryoneUserInfo

All Implemented Interfaces:
  com.jcraft.jsch.UserInfo

public class TrustEveryoneUserInfo
extends Object
implements com.jcraft.jsch.UserInfo

Helper class to trust a new host

Constructor Summary
`TrustEveryoneUserInfo()`

Method Summary
`String` | `getPassphrase()`
`String` | `getPassword()`
`boolean` | `promptPassphrase(String s)`
`boolean` | `promptPassword(String s)`
`boolean` | `promptYesNo(String s)`
`void` | `showMessage(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustEveryoneUserInfo

    public TrustEveryoneUserInfo()

Method Detail

### getPassphrase

    public String getPassphrase()

  Specified by:
    `getPassphrase` in interface `com.jcraft.jsch.UserInfo`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `com.jcraft.jsch.UserInfo`

### promptPassword

    public boolean promptPassword(String s)

  Specified by:
    `promptPassword` in interface `com.jcraft.jsch.UserInfo`

### promptPassphrase

    public boolean promptPassphrase(String s)

  Specified by:
    `promptPassphrase` in interface `com.jcraft.jsch.UserInfo`

### promptYesNo

    public boolean promptYesNo(String s)

  Specified by:
    `promptYesNo` in interface `com.jcraft.jsch.UserInfo`

### showMessage

    public void showMessage(String s)

  Specified by:
    `showMessage` in interface `com.jcraft.jsch.UserInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.